curl --request POST \
--url https://app.amplopay.com/api/v1/gateway/pix/deposit \
--header 'Content-Type: application/json' \
--header 'x-public-key: SUA_CHAVE_PUBLICA_AQUI' \
--header 'x-secret-key: SUA_CHAVE_PRIVADA_AQUI' \
--data '{
"identifier": "deposito-123",
"amount": 100,
"callbackUrl": "https://example.com/webhooks/payment"
}'
{
"transactionId": "transaction_id",
"status": "OK",
"order": {
"id": "cm92389asdaskdjkasjdka",
"url": "https://api-de-pagamentos.com/order/cm92389asdaskdjkasjdka"
},
"pix": {
"code": "00020101021126530014BR.GOV.BCB.PIX...",
"image": "https://app.amplopay.com/api/v1/pix/qr/000201...",
"expiresAt": "2026-08-20T15:00:00.000Z",
"base64": ""
}
}
Endpoints
Create Pix deposit
Create a Pix deposit
POST
/
gateway
/
pix
/
deposit
curl --request POST \
--url https://app.amplopay.com/api/v1/gateway/pix/deposit \
--header 'Content-Type: application/json' \
--header 'x-public-key: SUA_CHAVE_PUBLICA_AQUI' \
--header 'x-secret-key: SUA_CHAVE_PRIVADA_AQUI' \
--data '{
"identifier": "deposito-123",
"amount": 100,
"callbackUrl": "https://example.com/webhooks/payment"
}'
{
"transactionId": "transaction_id",
"status": "OK",
"order": {
"id": "cm92389asdaskdjkasjdka",
"url": "https://api-de-pagamentos.com/order/cm92389asdaskdjkasjdka"
},
"pix": {
"code": "00020101021126530014BR.GOV.BCB.PIX...",
"image": "https://app.amplopay.com/api/v1/pix/qr/000201...",
"expiresAt": "2026-08-20T15:00:00.000Z",
"base64": ""
}
}
Creates a Pix deposit.
Body parameters
string
Unique identifier for this deposit in your application.
number
required
Deposit amount in BRL.
string
URL that will receive deposit status webhook notifications.
Request example
curl --request POST \
--url https://app.amplopay.com/api/v1/gateway/pix/deposit \
--header 'Content-Type: application/json' \
--header 'x-public-key: SUA_CHAVE_PUBLICA_AQUI' \
--header 'x-secret-key: SUA_CHAVE_PRIVADA_AQUI' \
--data '{
"identifier": "deposito-123",
"amount": 100,
"callbackUrl": "https://example.com/webhooks/payment"
}'
Response
string
required
Transaction ID generated by the Gateway API.
string
required
Initial deposit status.
object
required
Order information.
string
required
Internal order ID.
string
Internal checkout order URL.
object
required
Pix deposit information.
string
required
Pix copy-and-paste code.
string
QR Code image URL.
string
Pix QR Code expiration date and time.
string
Deprecated. Always returns an empty string for backward compatibility.
{
"transactionId": "transaction_id",
"status": "OK",
"order": {
"id": "cm92389asdaskdjkasjdka",
"url": "https://api-de-pagamentos.com/order/cm92389asdaskdjkasjdka"
},
"pix": {
"code": "00020101021126530014BR.GOV.BCB.PIX...",
"image": "https://app.amplopay.com/api/v1/pix/qr/000201...",
"expiresAt": "2026-08-20T15:00:00.000Z",
"base64": ""
}
}
Was this page helpful?

